# Class NextAttributeComponent<T>

#### Type Parameters

- #### T extends AttributeData

#### Hierarchy

- BaseXmlComponent
  - NextAttributeComponent

- Defined in file/xml-components/default-attributes.ts:33

#####
Index

### Constructors

constructor

### Methods

prepForXml

## Constructors

### constructor

- new NextAttributeComponent<T>(root): NextAttributeComponent <T>

- #### Type Parameters

  - #### T extends AttributeData

  #### Parameters

  - ##### root: AttributePayload <T>

  #### Returns NextAttributeComponent <T>

  Overrides BaseXmlComponent.constructor

  - Defined in file/xml-components/default-attributes.ts:34

## Methods

### prepForXml

- prepForXml(_): IXmlableObject

- #### Parameters

  - ##### _: IContext

  #### Returns IXmlableObject

  Overrides BaseXmlComponent.prepForXml

  - Defined in file/xml-components/default-attributes.ts:38

Generated using TypeDoc